Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.service.impl
Class XmlaConnectionDataSourceService

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.olap.service.impl.XmlaConnectionDataSourceService

All Implemented Interfaces:
  ReportDataSourceService

    public class XmlaConnectionDataSourceService

extends java.lang.Object
implements ReportDataSourceService

Version:
  $Id: XmlaConnectionDataSourceService.java 10276 2007-09-28 23:35:53Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`XmlaConnectionDataSourceService(XMLAConnection xmlaConnection)`
`XmlaConnectionDataSourceService(XMLAConnection xmlaConnection, User contextUser)`

Method Summary
`void` | `closeConnection()`
`void` | `setReportParameterValues(java.util.Map parameterValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlaConnectionDataSourceService

    public XmlaConnectionDataSourceService(XMLAConnection xmlaConnection)

### XmlaConnectionDataSourceService

    public XmlaConnectionDataSourceService(XMLAConnection xmlaConnection,
                                           User contextUser)

Method Detail

### setReportParameterValues

    public void setReportParameterValues(java.util.Map parameterValues)

  Specified by:
    `setReportParameterValues` in interface `ReportDataSourceService`

### closeConnection

    public void closeConnection()

  Specified by:
    `closeConnection` in interface `ReportDataSourceService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.